## khealthcertificate 25.08.3+p24.04+vunstable+git20251204.0153

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "26")
set (RELEASE_SERVICE_VERSION_MINOR "03")
set (RELEASE_SERVICE_VERSION_MICRO "70")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(KHealthCertificate VERSION ${RELEASE_SERVICE_VERSION})

set(KF_MIN_VERSION 6.0.0)
find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMDeprecationSettings)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX KHEALTHCERTIFICATE
    VERSION_HEADER khealthcertificate_version.h
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KHealthCertificateConfigVersion.cmake"
    SOVERSION 1
)

# build-time dependencies
find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Network Qml Test)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Archive Codecs I18n)
find_package(OpenSSL REQUIRED COMPONENTS Crypto)
set_package_properties("OpenSSL" PROPERTIES TYPE REQUIRED PURPOSE "Needed for signature verification.")
find_package(ZLIB)
set_package_properties("ZLIB" PROPERTIES TYPE REQUIRED PURPOSE "Needed for decoding EU DGC data.")

ecm_set_disabled_deprecation_versions(QT 6.7
     KF 6.0
)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KHealthCertificate")
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KHealthCertificateConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KHealthCertificateConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KHealthCertificateConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KHealthCertificateConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)
install(EXPORT KHealthCertificateTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KHealthCertificateTargets.cmake)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/khealthcertificate_version.h DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KHealthCertificate COMPONENT Devel)
ecm_qt_install_logging_categories(
    EXPORT KHealthCertificateLogging
    FILE org_kde_khealthcertificate.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## khealthcertificate 23.01.0

=== debian/changelog ===
khealthcertificate (23.01.0-0xneon+22.04+jammy+release+build1) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jun 2023 00:50:52 +0000

khealthcertificate (23.01.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 18 Feb 2023 18:59:33 +0000

khealthcertificate (22.09-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Nov 2022 17:20:07 +0000

=== debian/control ===
Source: khealthcertificate
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.78.0~),
               kirigami2-dev (>= 5.78.0~),
               libkf5archive-dev (>= 5.78.0~),
               libkf5codecs-dev (>= 5.78.0~),
               libkf5config-dev (>= 5.78.0~),
               libkf5coreaddons-dev (>= 5.78.0~),
               libkf5i18n-dev (>= 5.78.0~),
               libssl-dev,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtfeedback5-dev,
               qtquickcontrols2-5-dev (>= 5.15.2~),
               zlib1g-dev
Standards-Version: 4.4.1
Vcs-Git: https://invent.kde.org/neon/neon-packaging/khealthcertificate.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/khealthcertificate
Maintainer: Neon CI <neon@kde.org>

Package: libkhealthcertificate1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Parsing of digital vaccination certificates
 Parsing of digital vaccination, test and recovery certificates.

Package: libkhealthcertificate-dev
Architecture: any
Depends: libkhealthcertificate1 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Parsing of digital vaccination certificates
 Parsing of digital vaccination, test and recovery certificates.

Package: qml-module-org-kde-khealthcertificate
Architecture: any
Depends: qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Parsing of digital vaccination certificates
 Parsing of digital vaccination, test and recovery certificates.

## khealthcertificate 25.08.0

=== debian/changelog ===
khealthcertificate (25.08.0-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 23:47:32 +0000

khealthcertificate (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:11:37 +0000

khealthcertificate (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 23:48:06 +0000

khealthcertificate (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:37:28 +0000

khealthcertificate (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:07:09 +0000

khealthcertificate (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:30:08 +0000

khealthcertificate (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 16:03:25 +0000

khealthcertificate (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:22:04 +0000

khealthcertificate (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:22:53 +0000

khealthcertificate (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:08:46 +0000

khealthcertificate (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:33:07 +0000

khealthcertificate (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:57:34 +0000

khealthcertificate (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:28:56 +0000

khealthcertificate (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:21:17 +0000

khealthcertificate (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 13:03:27 +0000

khealthcertificate (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:18:18 +0000

khealthcertificate (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 18 Feb 2023 18:59:33 +0000

## khealthcertificate 25.08.1

=== debian/changelog ===
khealthcertificate (25.08.1-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 10:07:45 +0000

khealthcertificate (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:43:11 +0000

## khealthcertificate 25.08.2

=== debian/changelog ===
khealthcertificate (25.08.2-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 05:18:45 +0000

khealthcertificate (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:17:27 +0000

## khealthcertificate 25.08.2+p24.04+vstable+git20251011.0944

=== debian/changelog ===
khealthcertificate (25.08.2+p24.04+vstable+git20251011.0944-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 09:44:55 +0000

## khealthcertificate 25.08.2+p24.04+vstable+git20251012.2349

=== debian/changelog ===
khealthcertificate (25.08.2+p24.04+vstable+git20251012.2349-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 23:49:41 +0000

## khealthcertificate 25.08.2+p24.04+vstable+git20251031.0729

=== debian/changelog ===
khealthcertificate (25.08.2+p24.04+vstable+git20251031.0729-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:30:00 +0000

## khealthcertificate 25.08.3

=== debian/changelog ===
khealthcertificate (25.08.3-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 15:22:19 +0000

khealthcertificate (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:33:06 +1000

## khealthcertificate 25.08.3+p24.04+vunstable+git20251111.0356

=== debian/changelog ===
khealthcertificate (25.08.3+p24.04+vunstable+git20251111.0356-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 03:56:12 +0000

## khealthcertificate 25.08.3+p24.04+vunstable+git20251204.0153

=== debian/changelog ===
khealthcertificate (25.08.3+p24.04+vunstable+git20251204.0153-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 01:53:40 +0000

=== debian/control ===
Source: khealthcertificate
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcodecs-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kirigami2-dev,
               libssl-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               zlib1g-dev
Standards-Version: 4.4.1
Vcs-Git: https://invent.kde.org/neon/neon-packaging/khealthcertificate.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/khealthcertificate
Maintainer: Neon CI <neon@kde.org>

Package: libkhealthcertificate1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Parsing of digital vaccination certificates
 Parsing of digital vaccination, test and recovery certificates.

Package: libkhealthcertificate-dev
Architecture: any
Depends: libkhealthcertificate1 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Parsing of digital vaccination certificates
 Parsing of digital vaccination, test and recovery certificates.

Package: qml6-module-org-kde-khealthcertificate
Architecture: any
Depends: qml6-module-org-kde-kirigami2,
         qml6-module-qtquick-controls,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Parsing of digital vaccination certificates
 Parsing of digital vaccination, test and recovery certificates.

## khealthcertificate 25.12.0

=== debian/changelog ===
khealthcertificate (25.12.0-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 10:57:38 +0000

khealthcertificate (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:28:50 +1000

## khealthcertificate 25.12.0+p24.04+vstable+git20251208.1058

=== debian/changelog ===
khealthcertificate (25.12.0+p24.04+vstable+git20251208.1058-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 10:58:15 +0000

## khealthcertificate 25.12.1

=== debian/changelog ===
khealthcertificate (25.12.1-0zneon+24.04+noble+release+build27) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 10:24:57 +0000

khealthcertificate (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:17:08 +1000

## khealthcertificate 25.12.1+p24.04+vstable+git20260131.0203

=== debian/changelog ===
khealthcertificate (25.12.1+p24.04+vstable+git20260131.0203-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:03:27 +0000

## khealthcertificate 25.12.2

=== debian/changelog ===
khealthcertificate (25.12.2-0zneon+24.04+noble+release+build29) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 08:32:32 +0000

khealthcertificate (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 07:01:56 +0000

## khealthcertificate 25.12.2+p24.04+vstable+git20260207.0433

=== debian/changelog ===
khealthcertificate (25.12.2+p24.04+vstable+git20260207.0433-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 04:33:24 +0000
